diff --git c/scala/reflect/api/Trees$CompoundTypeTree.class w/scala/reflect/api/Trees$CompoundTypeTree.class
index 18383c2979..02101ce851 100644
--- c/scala/reflect/api/Trees$CompoundTypeTree.class
+++ w/scala/reflect/api/Trees$CompoundTypeTree.class
@@ -5,7 +5,7 @@ public #= # of #; //Template=class scala/reflect/api/Trees$Template of class sca
 public #= # of #; //CompoundTypeTree=class scala/reflect/api/Trees$CompoundTypeTree of class scala/reflect/api/Trees
 
 Compiled from "Trees.scala"
-public class scala.reflect.api.Trees$CompoundTypeTree extends scala.reflect.api.Trees$Tree implements scala.reflect.api.Trees$TypTree,scala.ScalaObject,scala.Product,scala.Serializable{
+public class scala.reflect.api.Trees$CompoundTypeTree extends scala.reflect.api.Trees$Tree implements scala.reflect.api.Trees$TypTree,scala.Product,scala.Serializable{
 private final scala.reflect.api.Trees$Template templ;
   Signature: Lscala/reflect/api/Trees$Template;
 
diff --git c/scala/reflect/api/Trees$DefDef.class w/scala/reflect/api/Trees$DefDef.class
index 97264683ba..61504ed37f 100644
--- c/scala/reflect/api/Trees$DefDef.class
+++ w/scala/reflect/api/Trees$DefDef.class
@@ -6,7 +6,7 @@ public abstract #= # of #; //ValOrDefDef=class scala/reflect/api/Trees$ValOrDefD
 public abstract #= # of #; //AbsModifiers=class scala/reflect/api/Trees$AbsModifiers of class scala/reflect/api/Trees
 
 Compiled from "Trees.scala"
-public class scala.reflect.api.Trees$DefDef extends scala.reflect.api.Trees$ValOrDefDef implements scala.ScalaObject,scala.Product,scala.Serializable{
+public class scala.reflect.api.Trees$DefDef extends scala.reflect.api.Trees$ValOrDefDef implements scala.Product,scala.Serializable{
 private final scala.reflect.api.Trees$AbsModifiers mods;
   Signature: Lscala/reflect/api/Trees$AbsModifiers;
 
diff --git c/scala/reflect/api/Trees$DefTree.class w/scala/reflect/api/Trees$DefTree.class
index 23badadfa9..8ee24c3ac4 100644
--- c/scala/reflect/api/Trees$DefTree.class
+++ w/scala/reflect/api/Trees$DefTree.class
@@ -7,7 +7,7 @@ public abstract #= # of #; //AbsSymbol=class scala/reflect/api/Symbols$AbsSymbol
 public abstract #= # of #; //SymTree$class=class scala/reflect/api/Trees$SymTree$class of class scala/reflect/api/Trees
 
 Compiled from "Trees.scala"
-public abstract class scala.reflect.api.Trees$DefTree extends scala.reflect.api.Trees$Tree implements scala.reflect.api.Trees$SymTree,scala.ScalaObject{
+public abstract class scala.reflect.api.Trees$DefTree extends scala.reflect.api.Trees$Tree implements scala.reflect.api.Trees$SymTree{
 private scala.reflect.api.Symbols$AbsSymbol symbol;
   Signature: Lscala/reflect/api/Symbols$AbsSymbol;
 
diff --git c/scala/reflect/api/Trees$EmptyTree$.class w/scala/reflect/api/Trees$EmptyTree$.class
index 1a77a9edb0..28ef67139c 100644
--- c/scala/reflect/api/Trees$EmptyTree$.class
+++ w/scala/reflect/api/Trees$EmptyTree$.class
@@ -5,7 +5,7 @@ public abstract #= # of #; //TermTree=class scala/reflect/api/Trees$TermTree of
 public final #= # of #; //EmptyTree$=class scala/reflect/api/Trees$EmptyTree$ of class scala/reflect/api/Trees
 
 Compiled from "Trees.scala"
-public final class scala.reflect.api.Trees$EmptyTree$ extends scala.reflect.api.Trees$Tree implements scala.reflect.api.Trees$TermTree,scala.ScalaObject,scala.Product,scala.Serializable{
+public final class scala.reflect.api.Trees$EmptyTree$ extends scala.reflect.api.Trees$Tree implements scala.reflect.api.Trees$TermTree,scala.Product,scala.Serializable{
 public void tpe_$eq(scala.reflect.api.Types$AbsType);
   Signature: (Lscala/reflect/api/Types$AbsType;)V
   Code:
diff --git c/scala/reflect/api/Trees$ExistentialTypeTree.class w/scala/reflect/api/Trees$ExistentialTypeTree.class
index 8e0a353d92..49e8bbb789 100644
--- c/scala/reflect/api/Trees$ExistentialTypeTree.class
+++ w/scala/reflect/api/Trees$ExistentialTypeTree.class
@@ -4,7 +4,7 @@ public abstract #= # of #; //TypTree=class scala/reflect/api/Trees$TypTree of cl
 public #= # of #; //ExistentialTypeTree=class scala/reflect/api/Trees$ExistentialTypeTree of class scala/reflect/api/Trees
 
 Compiled from "Trees.scala"
-public class scala.reflect.api.Trees$ExistentialTypeTree extends scala.reflect.api.Trees$Tree implements scala.reflect.api.Trees$TypTree,scala.ScalaObject,scala.Product,scala.Serializable{
+public class scala.reflect.api.Trees$ExistentialTypeTree extends scala.reflect.api.Trees$Tree implements scala.reflect.api.Trees$TypTree,scala.Product,scala.Serializable{
 private final scala.reflect.api.Trees$Tree tpt;
   Signature: Lscala/reflect/api/Trees$Tree;
 
diff --git c/scala/reflect/api/Trees$Function.class w/scala/reflect/api/Trees$Function.class
index 9ce5c26bfc..608891ef08 100644
--- c/scala/reflect/api/Trees$Function.class
+++ w/scala/reflect/api/Trees$Function.class
@@ -7,7 +7,7 @@ public abstract #= # of #; //AbsSymbol=class scala/reflect/api/Symbols$AbsSymbol
 public abstract #= # of #; //SymTree$class=class scala/reflect/api/Trees$SymTree$class of class scala/reflect/api/Trees
 
 Compiled from "Trees.scala"
-public class scala.reflect.api.Trees$Function extends scala.reflect.api.Trees$Tree implements scala.reflect.api.Trees$TermTree,scala.reflect.api.Trees$SymTree,scala.ScalaObject,scala.Product,scala.Serializable{
+public class scala.reflect.api.Trees$Function extends scala.reflect.api.Trees$Tree implements scala.reflect.api.Trees$TermTree,scala.reflect.api.Trees$SymTree,scala.Product,scala.Serializable{
 private final scala.collection.immutable.List vparams;
   Signature: Lscala/collection/immutable/List;
 
diff --git c/scala/reflect/api/Trees$Ident.class w/scala/reflect/api/Trees$Ident.class
index 1a198781b2..54c9ab3663 100644
--- c/scala/reflect/api/Trees$Ident.class
+++ w/scala/reflect/api/Trees$Ident.class
@@ -8,7 +8,7 @@ public abstract #= # of #; //AbsSymbol=class scala/reflect/api/Symbols$AbsSymbol
 public abstract #= # of #; //SymTree$class=class scala/reflect/api/Trees$SymTree$class of class scala/reflect/api/Trees
 
 Compiled from "Trees.scala"
-public class scala.reflect.api.Trees$Ident extends scala.reflect.api.Trees$Tree implements scala.reflect.api.Trees$RefTree,scala.ScalaObject,scala.Product,scala.Serializable{
+public class scala.reflect.api.Trees$Ident extends scala.reflect.api.Trees$Tree implements scala.reflect.api.Trees$RefTree,scala.Product,scala.Serializable{
 private final scala.reflect.api.Names$AbsName name;
   Signature: Lscala/reflect/api/Names$AbsName;
 
diff --git c/scala/reflect/api/Trees$If.class w/scala/reflect/api/Trees$If.class
index 661ca2e40f..a7c1fb9486 100644
--- c/scala/reflect/api/Trees$If.class
+++ w/scala/reflect/api/Trees$If.class
@@ -4,7 +4,7 @@ public abstract #= # of #; //Tree=class scala/reflect/api/Trees$Tree of class sc
 public abstract #= # of #; //TermTree=class scala/reflect/api/Trees$TermTree of class scala/reflect/api/Trees
 
 Compiled from "Trees.scala"
-public class scala.reflect.api.Trees$If extends scala.reflect.api.Trees$Tree implements scala.reflect.api.Trees$TermTree,scala.ScalaObject,scala.Product,scala.Serializable{
+public class scala.reflect.api.Trees$If extends scala.reflect.api.Trees$Tree implements scala.reflect.api.Trees$TermTree,scala.Product,scala.Serializable{
 private final scala.reflect.api.Trees$Tree cond;
   Signature: Lscala/reflect/api/Trees$Tree;
 
diff --git c/scala/reflect/api/Trees$Import.class w/scala/reflect/api/Trees$Import.class
index 8f59e1ec19..2448797802 100644
--- c/scala/reflect/api/Trees$Import.class
+++ w/scala/reflect/api/Trees$Import.class
@@ -6,7 +6,7 @@ public abstract #= # of #; //AbsSymbol=class scala/reflect/api/Symbols$AbsSymbol
 public abstract #= # of #; //SymTree$class=class scala/reflect/api/Trees$SymTree$class of class scala/reflect/api/Trees
 
 Compiled from "Trees.scala"
-public class scala.reflect.api.Trees$Import extends scala.reflect.api.Trees$Tree implements scala.reflect.api.Trees$SymTree,scala.ScalaObject,scala.Product,scala.Serializable{
+public class scala.reflect.api.Trees$Import extends scala.reflect.api.Trees$Tree implements scala.reflect.api.Trees$SymTree,scala.Product,scala.Serializable{
 private final scala.reflect.api.Trees$Tree expr;
   Signature: Lscala/reflect/api/Trees$Tree;
 
diff --git c/scala/reflect/api/Trees$ImportSelector.class w/scala/reflect/api/Trees$ImportSelector.class
index cc30500e53..e083a98056 100644
--- c/scala/reflect/api/Trees$ImportSelector.class
+++ w/scala/reflect/api/Trees$ImportSelector.class
@@ -3,7 +3,7 @@ public abstract #= # of #; //AbsName=class scala/reflect/api/Names$AbsName of cl
 public #= # of #; //ImportSelector=class scala/reflect/api/Trees$ImportSelector of class scala/reflect/api/Trees
 
 Compiled from "Trees.scala"
-public class scala.reflect.api.Trees$ImportSelector extends java.lang.Object implements scala.ScalaObject,scala.Product,scala.Serializable{
+public class scala.reflect.api.Trees$ImportSelector extends java.lang.Object implements scala.Product,scala.Serializable{
 private final scala.reflect.api.Names$AbsName name;
   Signature: Lscala/reflect/api/Names$AbsName;
 
diff --git c/scala/reflect/api/Trees$LabelDef.class w/scala/reflect/api/Trees$LabelDef.class
index 1ea957a0fd..0b989c95c8 100644
--- c/scala/reflect/api/Trees$LabelDef.class
+++ w/scala/reflect/api/Trees$LabelDef.class
@@ -6,7 +6,7 @@ public #= # of #; //LabelDef=class scala/reflect/api/Trees$LabelDef of class sca
 public abstract #= # of #; //TermTree=class scala/reflect/api/Trees$TermTree of class scala/reflect/api/Trees
 
 Compiled from "Trees.scala"
-public class scala.reflect.api.Trees$LabelDef extends scala.reflect.api.Trees$DefTree implements scala.reflect.api.Trees$TermTree,scala.ScalaObject,scala.Product,scala.Serializable{
+public class scala.reflect.api.Trees$LabelDef extends scala.reflect.api.Trees$DefTree implements scala.reflect.api.Trees$TermTree,scala.Product,scala.Serializable{
 private final scala.reflect.api.Names$AbsName name;
   Signature: Lscala/reflect/api/Names$AbsName;
 
diff --git c/scala/reflect/api/Trees$Literal.class w/scala/reflect/api/Trees$Literal.class
index f329888108..98bc929148 100644
--- c/scala/reflect/api/Trees$Literal.class
+++ w/scala/reflect/api/Trees$Literal.class
@@ -5,7 +5,7 @@ public abstract #= # of #; //TermTree=class scala/reflect/api/Trees$TermTree of
 public abstract #= # of #; //AbsConstant=class scala/reflect/api/Constants$AbsConstant of class scala/reflect/api/Constants
 
 Compiled from "Trees.scala"
-public class scala.reflect.api.Trees$Literal extends scala.reflect.api.Trees$Tree implements scala.reflect.api.Trees$TermTree,scala.ScalaObject,scala.Product,scala.Serializable{
+public class scala.reflect.api.Trees$Literal extends scala.reflect.api.Trees$Tree implements scala.reflect.api.Trees$TermTree,scala.Product,scala.Serializable{
 private final scala.reflect.api.Constants$AbsConstant value;
   Signature: Lscala/reflect/api/Constants$AbsConstant;
 
diff --git c/scala/reflect/api/Trees$Match.class w/scala/reflect/api/Trees$Match.class
index 019abb264d..00be61f050 100644
--- c/scala/reflect/api/Trees$Match.class
+++ w/scala/reflect/api/Trees$Match.class
@@ -4,7 +4,7 @@ public #= # of #; //Match=class scala/reflect/api/Trees$Match of class scala/ref
 public abstract #= # of #; //TermTree=class scala/reflect/api/Trees$TermTree of class scala/reflect/api/Trees
 
 Compiled from "Trees.scala"
-public class scala.reflect.api.Trees$Match extends scala.reflect.api.Trees$Tree implements scala.reflect.api.Trees$TermTree,scala.ScalaObject,scala.Product,scala.Serializable{
+public class scala.reflect.api.Trees$Match extends scala.reflect.api.Trees$Tree implements scala.reflect.api.Trees$TermTree,scala.Product,scala.Serializable{
 private final scala.reflect.api.Trees$Tree selector;
   Signature: Lscala/reflect/api/Trees$Tree;
 
diff --git c/scala/reflect/api/Trees$ModuleDef.class w/scala/reflect/api/Trees$ModuleDef.class
index cbbdaae672..7f88974de1 100644
--- c/scala/reflect/api/Trees$ModuleDef.class
+++ w/scala/reflect/api/Trees$ModuleDef.class
@@ -6,7 +6,7 @@ public #= # of #; //ModuleDef=class scala/reflect/api/Trees$ModuleDef of class s
 public abstract #= # of #; //AbsModifiers=class scala/reflect/api/Trees$AbsModifiers of class scala/reflect/api/Trees
 
 Compiled from "Trees.scala"
-public class scala.reflect.api.Trees$ModuleDef extends scala.reflect.api.Trees$ImplDef implements scala.ScalaObject,scala.Product,scala.Serializable{
+public class scala.reflect.api.Trees$ModuleDef extends scala.reflect.api.Trees$ImplDef implements scala.Product,scala.Serializable{
 private final scala.reflect.api.Trees$AbsModifiers mods;
   Signature: Lscala/reflect/api/Trees$AbsModifiers;
 
diff --git c/scala/reflect/api/Trees$New.class w/scala/reflect/api/Trees$New.class
index 834293391b..32464fdc51 100644
--- c/scala/reflect/api/Trees$New.class
+++ w/scala/reflect/api/Trees$New.class
@@ -4,7 +4,7 @@ public abstract #= # of #; //Tree=class scala/reflect/api/Trees$Tree of class sc
 public abstract #= # of #; //TermTree=class scala/reflect/api/Trees$TermTree of class scala/reflect/api/Trees
 
 Compiled from "Trees.scala"
-public class scala.reflect.api.Trees$New extends scala.reflect.api.Trees$Tree implements scala.reflect.api.Trees$TermTree,scala.ScalaObject,scala.Product,scala.Serializable{
+public class scala.reflect.api.Trees$New extends scala.reflect.api.Trees$Tree implements scala.reflect.api.Trees$TermTree,scala.Product,scala.Serializable{
 private final scala.reflect.api.Trees$Tree tpt;
   Signature: Lscala/reflect/api/Trees$Tree;
 
diff --git c/scala/reflect/api/Trees$PackageDef.class w/scala/reflect/api/Trees$PackageDef.class
index 503a7b74d8..08d676df19 100644
--- c/scala/reflect/api/Trees$PackageDef.class
+++ w/scala/reflect/api/Trees$PackageDef.class
@@ -6,7 +6,7 @@ public #= # of #; //PackageDef=class scala/reflect/api/Trees$PackageDef of class
 public abstract #= # of #; //AbsModifiers=class scala/reflect/api/Trees$AbsModifiers of class scala/reflect/api/Trees
 
 Compiled from "Trees.scala"
-public class scala.reflect.api.Trees$PackageDef extends scala.reflect.api.Trees$MemberDef implements scala.ScalaObject,scala.Product,scala.Serializable{
+public class scala.reflect.api.Trees$PackageDef extends scala.reflect.api.Trees$MemberDef implements scala.Product,scala.Serializable{
 private final scala.reflect.api.Trees$RefTree pid;
   Signature: Lscala/reflect/api/Trees$RefTree;
 
diff --git c/scala/reflect/api/Trees$Return.class w/scala/reflect/api/Trees$Return.class
index a3ff198194..813058901b 100644
--- c/scala/reflect/api/Trees$Return.class
+++ w/scala/reflect/api/Trees$Return.class
@@ -7,7 +7,7 @@ public abstract #= # of #; //AbsSymbol=class scala/reflect/api/Symbols$AbsSymbol
 public abstract #= # of #; //SymTree$class=class scala/reflect/api/Trees$SymTree$class of class scala/reflect/api/Trees
 
 Compiled from "Trees.scala"
-public class scala.reflect.api.Trees$Return extends scala.reflect.api.Trees$Tree implements scala.reflect.api.Trees$TermTree,scala.reflect.api.Trees$SymTree,scala.ScalaObject,scala.Product,scala.Serializable{
+public class scala.reflect.api.Trees$Return extends scala.reflect.api.Trees$Tree implements scala.reflect.api.Trees$TermTree,scala.reflect.api.Trees$SymTree,scala.Product,scala.Serializable{
 private final scala.reflect.api.Trees$Tree expr;
   Signature: Lscala/reflect/api/Trees$Tree;
 
diff --git c/scala/reflect/api/Trees$Select.class w/scala/reflect/api/Trees$Select.class
index 38add41110..81b9cfe131 100644
--- c/scala/reflect/api/Trees$Select.class
+++ w/scala/reflect/api/Trees$Select.class
@@ -8,7 +8,7 @@ public abstract #= # of #; //AbsSymbol=class scala/reflect/api/Symbols$AbsSymbol
 public abstract #= # of #; //SymTree$class=class scala/reflect/api/Trees$SymTree$class of class scala/reflect/api/Trees
 
 Compiled from "Trees.scala"
-public class scala.reflect.api.Trees$Select extends scala.reflect.api.Trees$Tree implements scala.reflect.api.Trees$RefTree,scala.ScalaObject,scala.Product,scala.Serializable{
+public class scala.reflect.api.Trees$Select extends scala.reflect.api.Trees$Tree implements scala.reflect.api.Trees$RefTree,scala.Product,scala.Serializable{
 private final scala.reflect.api.Trees$Tree qualifier;
   Signature: Lscala/reflect/api/Trees$Tree;
 
diff --git c/scala/reflect/api/Trees$SelectFromTypeTree.class w/scala/reflect/api/Trees$SelectFromTypeTree.class
index d171505967..b53215080d 100644
--- c/scala/reflect/api/Trees$SelectFromTypeTree.class
+++ w/scala/reflect/api/Trees$SelectFromTypeTree.class
@@ -9,7 +9,7 @@ public abstract #= # of #; //SymTree$class=class scala/reflect/api/Trees$SymTree
 public #= # of #; //SelectFromTypeTree=class scala/reflect/api/Trees$SelectFromTypeTree of class scala/reflect/api/Trees
 
 Compiled from "Trees.scala"
-public class scala.reflect.api.Trees$SelectFromTypeTree extends scala.reflect.api.Trees$Tree implements scala.reflect.api.Trees$TypTree,scala.reflect.api.Trees$RefTree,scala.ScalaObject,scala.Product,scala.Serializable{
+public class scala.reflect.api.Trees$SelectFromTypeTree extends scala.reflect.api.Trees$Tree implements scala.reflect.api.Trees$TypTree,scala.reflect.api.Trees$RefTree,scala.Product,scala.Serializable{
 private final scala.reflect.api.Trees$Tree qualifier;
   Signature: Lscala/reflect/api/Trees$Tree;
 
diff --git c/scala/reflect/api/Trees$SingletonTypeTree.class w/scala/reflect/api/Trees$SingletonTypeTree.class
index 72388dc472..1c871592be 100644
--- c/scala/reflect/api/Trees$SingletonTypeTree.class
+++ w/scala/reflect/api/Trees$SingletonTypeTree.class
@@ -4,7 +4,7 @@ public abstract #= # of #; //TypTree=class scala/reflect/api/Trees$TypTree of cl
 public #= # of #; //SingletonTypeTree=class scala/reflect/api/Trees$SingletonTypeTree of class scala/reflect/api/Trees
 
 Compiled from "Trees.scala"
-public class scala.reflect.api.Trees$SingletonTypeTree extends scala.reflect.api.Trees$Tree implements scala.reflect.api.Trees$TypTree,scala.ScalaObject,scala.Product,scala.Serializable{
+public class scala.reflect.api.Trees$SingletonTypeTree extends scala.reflect.api.Trees$Tree implements scala.reflect.api.Trees$TypTree,scala.Product,scala.Serializable{
 private final scala.reflect.api.Trees$Tree ref;
   Signature: Lscala/reflect/api/Trees$Tree;
 
diff --git c/scala/reflect/api/Trees$Star.class w/scala/reflect/api/Trees$Star.class
index 95a0bfe3bf..1a4504c9bc 100644
--- c/scala/reflect/api/Trees$Star.class
+++ w/scala/reflect/api/Trees$Star.class
@@ -4,7 +4,7 @@ public abstract #= # of #; //Tree=class scala/reflect/api/Trees$Tree of class sc
 public abstract #= # of #; //TermTree=class scala/reflect/api/Trees$TermTree of class scala/reflect/api/Trees
 
 Compiled from "Trees.scala"
-public class scala.reflect.api.Trees$Star extends scala.reflect.api.Trees$Tree implements scala.reflect.api.Trees$TermTree,scala.ScalaObject,scala.Product,scala.Serializable{
+public class scala.reflect.api.Trees$Star extends scala.reflect.api.Trees$Tree implements scala.reflect.api.Trees$TermTree,scala.Product,scala.Serializable{
 private final scala.reflect.api.Trees$Tree elem;
   Signature: Lscala/reflect/api/Trees$Tree;
 
diff --git c/scala/reflect/api/Trees$Super.class w/scala/reflect/api/Trees$Super.class
index e385a7a97f..5b6c377d42 100644
--- c/scala/reflect/api/Trees$Super.class
+++ w/scala/reflect/api/Trees$Super.class
@@ -6,7 +6,7 @@ public abstract #= # of #; //TermTree=class scala/reflect/api/Trees$TermTree of
 public abstract #= # of #; //AbsSymbol=class scala/reflect/api/Symbols$AbsSymbol of class scala/reflect/api/Symbols
 
 Compiled from "Trees.scala"
-public class scala.reflect.api.Trees$Super extends scala.reflect.api.Trees$Tree implements scala.reflect.api.Trees$TermTree,scala.ScalaObject,scala.Product,scala.Serializable{
+public class scala.reflect.api.Trees$Super extends scala.reflect.api.Trees$Tree implements scala.reflect.api.Trees$TermTree,scala.Product,scala.Serializable{
 private final scala.reflect.api.Trees$Tree qual;
   Signature: Lscala/reflect/api/Trees$Tree;
 
diff --git c/scala/reflect/api/Trees$Template.class w/scala/reflect/api/Trees$Template.class
index d08aa73e5a..1b9c61b8e5 100644
--- c/scala/reflect/api/Trees$Template.class
+++ w/scala/reflect/api/Trees$Template.class
@@ -7,7 +7,7 @@ public abstract #= # of #; //AbsSymbol=class scala/reflect/api/Symbols$AbsSymbol
 public abstract #= # of #; //SymTree$class=class scala/reflect/api/Trees$SymTree$class of class scala/reflect/api/Trees
 
 Compiled from "Trees.scala"
-public class scala.reflect.api.Trees$Template extends scala.reflect.api.Trees$Tree implements scala.reflect.api.Trees$SymTree,scala.ScalaObject,scala.Product,scala.Serializable{
+public class scala.reflect.api.Trees$Template extends scala.reflect.api.Trees$Tree implements scala.reflect.api.Trees$SymTree,scala.Product,scala.Serializable{
 private final scala.collection.immutable.List parents;
   Signature: Lscala/collection/immutable/List;
 
diff --git c/scala/reflect/api/Trees$This.class w/scala/reflect/api/Trees$This.class
index c57d621760..4110f13a2b 100644
--- c/scala/reflect/api/Trees$This.class
+++ w/scala/reflect/api/Trees$This.class
@@ -8,7 +8,7 @@ public abstract #= # of #; //AbsSymbol=class scala/reflect/api/Symbols$AbsSymbol
 public abstract #= # of #; //SymTree$class=class scala/reflect/api/Trees$SymTree$class of class scala/reflect/api/Trees
 
 Compiled from "Trees.scala"
-public class scala.reflect.api.Trees$This extends scala.reflect.api.Trees$Tree implements scala.reflect.api.Trees$TermTree,scala.reflect.api.Trees$SymTree,scala.ScalaObject,scala.Product,scala.Serializable{
+public class scala.reflect.api.Trees$This extends scala.reflect.api.Trees$Tree implements scala.reflect.api.Trees$TermTree,scala.reflect.api.Trees$SymTree,scala.Product,scala.Serializable{
 private final scala.reflect.api.Names$AbsName qual;
   Signature: Lscala/reflect/api/Names$AbsName;
 
diff --git c/scala/reflect/api/Trees$Throw.class w/scala/reflect/api/Trees$Throw.class
index 098c58371f..b4ffd83421 100644
--- c/scala/reflect/api/Trees$Throw.class
+++ w/scala/reflect/api/Trees$Throw.class
@@ -4,7 +4,7 @@ public #= # of #; //Throw=class scala/reflect/api/Trees$Throw of class scala/ref
 public abstract #= # of #; //TermTree=class scala/reflect/api/Trees$TermTree of class scala/reflect/api/Trees
 
 Compiled from "Trees.scala"
-public class scala.reflect.api.Trees$Throw extends scala.reflect.api.Trees$Tree implements scala.reflect.api.Trees$TermTree,scala.ScalaObject,scala.Product,scala.Serializable{
+public class scala.reflect.api.Trees$Throw extends scala.reflect.api.Trees$Tree implements scala.reflect.api.Trees$TermTree,scala.Product,scala.Serializable{
 private final scala.reflect.api.Trees$Tree expr;
   Signature: Lscala/reflect/api/Trees$Tree;
 
diff --git c/scala/reflect/api/Trees$Tree.class w/scala/reflect/api/Trees$Tree.class
index 0449e6c78b..90126addb8 100644
--- c/scala/reflect/api/Trees$Tree.class
+++ w/scala/reflect/api/Trees$Tree.class
@@ -16,7 +16,7 @@ public #= # of #; //FilterTreeTraverser=class scala/reflect/api/Trees$FilterTree
 public #= # of #; //ForeachTreeTraverser=class scala/reflect/api/Trees$ForeachTreeTraverser of class scala/reflect/api/Trees
 
 Compiled from "Trees.scala"
-public abstract class scala.reflect.api.Trees$Tree extends java.lang.Object implements scala.Product,scala.ScalaObject{
+public abstract class scala.reflect.api.Trees$Tree extends java.lang.Object implements scala.Product{
 private final int id;
   Signature: I
 
diff --git c/scala/reflect/api/Trees$Try.class w/scala/reflect/api/Trees$Try.class
index 0906f6f316..89998dffc3 100644
--- c/scala/reflect/api/Trees$Try.class
+++ w/scala/reflect/api/Trees$Try.class
@@ -4,7 +4,7 @@ public abstract #= # of #; //Tree=class scala/reflect/api/Trees$Tree of class sc
 public abstract #= # of #; //TermTree=class scala/reflect/api/Trees$TermTree of class scala/reflect/api/Trees
 
 Compiled from "Trees.scala"
-public class scala.reflect.api.Trees$Try extends scala.reflect.api.Trees$Tree implements scala.reflect.api.Trees$TermTree,scala.ScalaObject,scala.Product,scala.Serializable{
+public class scala.reflect.api.Trees$Try extends scala.reflect.api.Trees$Tree implements scala.reflect.api.Trees$TermTree,scala.Product,scala.Serializable{
 private final scala.reflect.api.Trees$Tree block;
   Signature: Lscala/reflect/api/Trees$Tree;
 
diff --git c/scala/reflect/api/Trees$TypeApply.class w/scala/reflect/api/Trees$TypeApply.class
index 4bb4c37d8e..9a0a8f2006 100644
--- c/scala/reflect/api/Trees$TypeApply.class
+++ w/scala/reflect/api/Trees$TypeApply.class
@@ -5,7 +5,7 @@ public abstract #= # of #; //AbsSymbol=class scala/reflect/api/Symbols$AbsSymbol
 public abstract #= # of #; //GenericApply=class scala/reflect/api/Trees$GenericApply of class scala/reflect/api/Trees
 
 Compiled from "Trees.scala"
-public class scala.reflect.api.Trees$TypeApply extends scala.reflect.api.Trees$GenericApply implements scala.ScalaObject,scala.Product,scala.Serializable{
+public class scala.reflect.api.Trees$TypeApply extends scala.reflect.api.Trees$GenericApply implements scala.Product,scala.Serializable{
 private final scala.reflect.api.Trees$Tree fun;
   Signature: Lscala/reflect/api/Trees$Tree;
 
diff --git c/scala/reflect/api/Trees$TypeBoundsTree.class w/scala/reflect/api/Trees$TypeBoundsTree.class
index f8ddcccb58..b2eab0ece2 100644
--- c/scala/reflect/api/Trees$TypeBoundsTree.class
+++ w/scala/reflect/api/Trees$TypeBoundsTree.class
@@ -4,7 +4,7 @@ public abstract #= # of #; //TypTree=class scala/reflect/api/Trees$TypTree of cl
 public #= # of #; //TypeBoundsTree=class scala/reflect/api/Trees$TypeBoundsTree of class scala/reflect/api/Trees
 
 Compiled from "Trees.scala"
-public class scala.reflect.api.Trees$TypeBoundsTree extends scala.reflect.api.Trees$Tree implements scala.reflect.api.Trees$TypTree,scala.ScalaObject,scala.Product,scala.Serializable{
+public class scala.reflect.api.Trees$TypeBoundsTree extends scala.reflect.api.Trees$Tree implements scala.reflect.api.Trees$TypTree,scala.Product,scala.Serializable{
 private final scala.reflect.api.Trees$Tree lo;
   Signature: Lscala/reflect/api/Trees$Tree;
 
diff --git c/scala/reflect/api/Trees$TypeDef.class w/scala/reflect/api/Trees$TypeDef.class
index d87bd7ed8c..d2e196cbb5 100644
--- c/scala/reflect/api/Trees$TypeDef.class
+++ w/scala/reflect/api/Trees$TypeDef.class
@@ -6,7 +6,7 @@ public abstract #= # of #; //MemberDef=class scala/reflect/api/Trees$MemberDef o
 public abstract #= # of #; //AbsModifiers=class scala/reflect/api/Trees$AbsModifiers of class scala/reflect/api/Trees
 
 Compiled from "Trees.scala"
-public class scala.reflect.api.Trees$TypeDef extends scala.reflect.api.Trees$MemberDef implements scala.ScalaObject,scala.Product,scala.Serializable{
+public class scala.reflect.api.Trees$TypeDef extends scala.reflect.api.Trees$MemberDef implements scala.Product,scala.Serializable{
 private final scala.reflect.api.Trees$AbsModifiers mods;
   Signature: Lscala/reflect/api/Trees$AbsModifiers;
 
diff --git c/scala/reflect/api/Trees$TypeTree.class w/scala/reflect/api/Trees$TypeTree.class
index ebf4ce15ec..fcf216958e 100644
--- c/scala/reflect/api/Trees$TypeTree.class
+++ w/scala/reflect/api/Trees$TypeTree.class
@@ -6,7 +6,7 @@ public #= # of #; //TypeTree=class scala/reflect/api/Trees$TypeTree of class sca
 public abstract #= # of #; //AbsSymbol=class scala/reflect/api/Symbols$AbsSymbol of class scala/reflect/api/Symbols
 
 Compiled from "Trees.scala"
-public class scala.reflect.api.Trees$TypeTree extends scala.reflect.api.Trees$Tree implements scala.reflect.api.Trees$TypTree,scala.ScalaObject,scala.Product,scala.Serializable{
+public class scala.reflect.api.Trees$TypeTree extends scala.reflect.api.Trees$Tree implements scala.reflect.api.Trees$TypTree,scala.Product,scala.Serializable{
 private scala.reflect.api.Trees$Tree orig;
   Signature: Lscala/reflect/api/Trees$Tree;
 
diff --git c/scala/reflect/api/Trees$Typed.class w/scala/reflect/api/Trees$Typed.class
index d9f8590df1..3e6a413740 100644
--- c/scala/reflect/api/Trees$Typed.class
+++ w/scala/reflect/api/Trees$Typed.class
@@ -4,7 +4,7 @@ public #= # of #; //Typed=class scala/reflect/api/Trees$Typed of class scala/ref
 public abstract #= # of #; //TermTree=class scala/reflect/api/Trees$TermTree of class scala/reflect/api/Trees
 
 Compiled from "Trees.scala"
-public class scala.reflect.api.Trees$Typed extends scala.reflect.api.Trees$Tree implements scala.reflect.api.Trees$TermTree,scala.ScalaObject,scala.Product,scala.Serializable{
+public class scala.reflect.api.Trees$Typed extends scala.reflect.api.Trees$Tree implements scala.reflect.api.Trees$TermTree,scala.Product,scala.Serializable{
 private final scala.reflect.api.Trees$Tree expr;
   Signature: Lscala/reflect/api/Trees$Tree;
 
diff --git c/scala/reflect/api/Trees$UnApply.class w/scala/reflect/api/Trees$UnApply.class
index 1c15e53ecf..8cca8ef046 100644
--- c/scala/reflect/api/Trees$UnApply.class
+++ w/scala/reflect/api/Trees$UnApply.class
@@ -4,7 +4,7 @@ public #= # of #; //UnApply=class scala/reflect/api/Trees$UnApply of class scala
 public abstract #= # of #; //TermTree=class scala/reflect/api/Trees$TermTree of class scala/reflect/api/Trees
 
 Compiled from "Trees.scala"
-public class scala.reflect.api.Trees$UnApply extends scala.reflect.api.Trees$Tree implements scala.reflect.api.Trees$TermTree,scala.ScalaObject,scala.Product,scala.Serializable{
+public class scala.reflect.api.Trees$UnApply extends scala.reflect.api.Trees$Tree implements scala.reflect.api.Trees$TermTree,scala.Product,scala.Serializable{
 private final scala.reflect.api.Trees$Tree fun;
   Signature: Lscala/reflect/api/Trees$Tree;
 
diff --git c/scala/reflect/api/Trees$ValDef.class w/scala/reflect/api/Trees$ValDef.class
index 17488e22ff..ca2b465968 100644
--- c/scala/reflect/api/Trees$ValDef.class
+++ w/scala/reflect/api/Trees$ValDef.class
@@ -6,7 +6,7 @@ public abstract #= # of #; //ValOrDefDef=class scala/reflect/api/Trees$ValOrDefD
 public abstract #= # of #; //AbsModifiers=class scala/reflect/api/Trees$AbsModifiers of class scala/reflect/api/Trees
 
 Compiled from "Trees.scala"
-public class scala.reflect.api.Trees$ValDef extends scala.reflect.api.Trees$ValOrDefDef implements scala.ScalaObject,scala.Product,scala.Serializable{
+public class scala.reflect.api.Trees$ValDef extends scala.reflect.api.Trees$ValOrDefDef implements scala.Product,scala.Serializable{
 private final scala.reflect.api.Trees$AbsModifiers mods;
   Signature: Lscala/reflect/api/Trees$AbsModifiers;
 
diff --git c/scala/reflect/api/Universe.class w/scala/reflect/api/Universe.class
index 91074ddd17..74dd6b8109 100644
--- c/scala/reflect/api/Universe.class
+++ w/scala/reflect/api/Universe.class
@@ -54,7 +54,7 @@ public final #= # of #; //SelectFromTypeTree$=class scala/reflect/api/Trees$Sele
 public final #= # of #; //ExistentialTypeTree$=class scala/reflect/api/Trees$ExistentialTypeTree$ of class scala/reflect/api/Trees
 
 Compiled from "Universe.scala"
-public abstract class scala.reflect.api.Universe extends java.lang.Object implements scala.reflect.api.Symbols,scala.reflect.api.Types,scala.reflect.api.Constants,scala.reflect.api.Scopes,scala.reflect.api.Names,scala.reflect.api.Trees,scala.reflect.api.Positions,scala.reflect.api.TreePrinters,scala.reflect.api.AnnotationInfos,scala.reflect.api.StandardDefinitions,scala.ScalaObject{
+public abstract class scala.reflect.api.Universe extends java.lang.Object implements scala.reflect.api.Symbols,scala.reflect.api.Types,scala.reflect.api.Constants,scala.reflect.api.Scopes,scala.reflect.api.Names,scala.reflect.api.Trees,scala.reflect.api.Positions,scala.reflect.api.TreePrinters,scala.reflect.api.AnnotationInfos,scala.reflect.api.StandardDefinitions{
 private int nodeCount;
   Signature: I
 
